## org.apache.sling.adapter.annotations
Annotation Type Adapter

    @Target(value=TYPE)
    @Retention(value=CLASS)
    @Documented
    public @interface Adapter

The `Adapter` annotation the target of the adaptation of an `Adaptable` and, optionally, the condition under which the adaptation will produce a non-null result.

Required Element Summary
`java.lang.Class<?>[]` `value` The list of classes to which the adaptable can be adapted.

Optional Element Summary
`java.lang.String` `condition` The condition under which an adaptation will be successful.

Element Detail

### value

    public abstract java.lang.Class<?>[] value

  The list of classes to which the adaptable can be adapted.

### condition

    public abstract java.lang.String condition

  The condition under which an adaptation will be successful.

  Default:
    ""

Copyright © 2007-2012 The Apache Software Foundation. All Rights Reserved.